%global srcname fs
# Erlang packages do not provide debug subpackages
%global debug_package %{nil}


Name: erlang-%{srcname}
Version: 4.1
Release: 2%{?dist}

License: ISC
Summary: Native filesystem listeners for Erlang
URL:     https://github.com/synrc/fs/
Source0: %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
Patch0:  0000-Unbundle-https-github.com-synrc-mad.patch

BuildRequires: erlang-rebar

Requires: inotify-tools


%description
Provides native filesystem listeners across platforms. inotify is used on Linux.


%prep
%autosetup -p1 -n %{srcname}-%{version}

# We don't want the precompiled Windows executable.
rm priv/inotifywait.exe


%build
%{rebar_compile}


%check
%{rebar_eunit}


%install
%{erlang_install}


%files
%license LICENSE
%doc README.md
%{erlang_appdir}


%changelog
* Tue Jan 16 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 4.1-2
- Require inotify-tools.
- Apply a patch to fix a missing dependency.

* Sat Jan 13 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 4.1-1
- Initial release (#1534188).
